Skip to main content
PUT
/
customer-aliases
/
{id}
Update a Customer Alias
curl --request PUT \
  --url https://eu.sequencehq.com/api/customer-aliases/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "CRM ID"
}
'
import requests

url = "https://eu.sequencehq.com/api/customer-aliases/{id}"

payload = { "label": "CRM ID" }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'CRM ID'})
};

fetch('https://eu.sequencehq.com/api/customer-aliases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "01849e70-0a0f-72ca-ba07-5557dd734d43",
  "sequenceAccountId": "ec1479a2-6ba1-421f-a7de-0853a20d17a1",
  "customerId": "01849e70-703e-705a-b59a-d3fd575587e0",
  "value": "external-customer-alias-123",
  "createdAt": "2022-10-01T00:00:00Z",
  "deletedAt": "2022-10-01T00:00:00Z",
  "label": "CRM ID",
  "archivedAt": "2022-10-01T00:00:00Z"
}
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Unique ID

Body

application/json
label
string

Alias label

Example:

"CRM ID"

Response

OK

id
string
required

Unique ID

Example:

"01849e70-0a0f-72ca-ba07-5557dd734d43"

sequenceAccountId
string
required

Sequence Account ID

Example:

"ec1479a2-6ba1-421f-a7de-0853a20d17a1"

customerId
string
required

Customer ID

Example:

"01849e70-703e-705a-b59a-d3fd575587e0"

value
string
required

Alias value

Example:

"external-customer-alias-123"

createdAt
string
required

Created At

Example:

"2022-10-01T00:00:00Z"

deletedAt
string

Deleted At

Example:

"2022-10-01T00:00:00Z"

label
string

Alias label

Example:

"CRM ID"

archivedAt
string

Archived At

Example:

"2022-10-01T00:00:00Z"